Debian Bug report logs - #604515
Preparations for the removal of the KDE3 and Qt3 libraries

version graph

Package: src:xxdiff; Maintainer for src:xxdiff is Y Giridhar Appaji Nag <appaji@debian.org>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Mon, 22 Nov 2010 15:36:07 UTC

Severity: serious

Tags: sid, wheezy

Found in version xxdiff/1:3.2-10

Fixed in version 1:3.2-10.2+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#604515; Package src:xxdiff. (Mon, 22 Nov 2010 15:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Mon, 22 Nov 2010 15:36:09 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Mon, 22 Nov 2010 16:34:07 +0100
Source: xxdiff
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Bug Marked as found in versions xxdiff/1:3.2-10. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Wed, 24 Nov 2010 14:51:08 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:28:44 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:34:43 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:36:48 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#604515; Package src:xxdiff. (Sat, 19 May 2012 13:24:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Sat, 19 May 2012 13:24:30 GMT) Full text and rfc822 format available.

Message #18 received at 604515@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 604515@bugs.debian.org
Subject: Re: Bug#604515: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sat, 19 May 2012 13:31:41 +0200
On Mon, Nov 22, 2010 at 04:34:07PM +0100, Eckhart Wörner wrote:
> Source: xxdiff
> Severity: wishlist
> User: debian-qt-kde@lists.debian.org
> Usertags: qt3libs-removal
> 
> 
> Dear maintainer,
> 
> The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
> Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
> will finish since both KDE and Nokia upstream don't maintain the old versions 
> of those libraries anymore.
> 
> In order to make this move, all packages directly or indirectly depending on 
> the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
> removed from the Debian repositories.
> 
> Therefore, please take the time and:
> - contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
> port of your application
> - if there are no activities regarding porting, investigate whether there are 
> suitable alternatives for your users
> - if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
> - if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
> archives, consider removing the KDE3/Qt3 version
> 
> Documentation on how to port to KDE4 can be found at:
> http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide
> 
> Documentation on how to port to Qt4 can be found at:
> http://doc.qt.nokia.com/4.7/porting4.html


Hello maintainer(s),

One year and a half later, it is about time to remove Qt3.
Please, migrate to the Qt4 version (if existing) or file for removal of your
package.

Thanks,
Ana





Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#604515; Package src:xxdiff. (Sun, 20 May 2012 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Sun, 20 May 2012 20:27:03 GMT) Full text and rfc822 format available.

Message #23 received at 604515@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: <604515@bugs.debian.org>
Cc: <604515-subscribe@bugs.debian.org>
Subject: Re: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 20 May 2012 22:23:40 +0200
Hi.

According to the upstream website, a qt4 port is available.

Chris.




Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#604515; Package src:xxdiff. (Wed, 30 May 2012 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Wed, 30 May 2012 19:57:03 GMT) Full text and rfc822 format available.

Message #28 received at 604515@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Christoph Anton Mitterer <calestyo@scientia.net>, 604515@bugs.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>, Tomas Pospisek <tpo_deb@sourcepole.ch>
Subject: Re: Bug#604515: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Wed, 30 May 2012 21:53:42 +0200
[About the removal of xxdiff because it is using Qt3]

On Sun, May 20, 2012 at 10:23:40PM +0200, Christoph Anton Mitterer wrote:
> Hi.
> 
> According to the upstream website, a qt4 port is available.
>

Thomas, Appaji, could you please look at this? The last 2 uploads of
xxdiff were NMU, so if you have not time for this package anymore,
please also let me know so I can put it for adoption.

Thanks,
Ana




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#604515; Package src:xxdiff. (Fri, 01 Jun 2012 11:01:27 GMT) Full text and rfc822 format available.

Message #31 received at 604515@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <appaji@debian.org>
To: Ana Guerrero <ana@debian.org>
Cc: Christoph Anton Mitterer <calestyo@scientia.net>, 604515@bugs.debian.org, Tomas Pospisek <tpo_deb@sourcepole.ch>
Subject: Re: Bug#604515: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Fri, 1 Jun 2012 16:04:05 +0530
Hi Ana,

On 12/05/30 21:53 +0200, Ana Guerrero said ...
> [About the removal of xxdiff because it is using Qt3]
> 
> On Sun, May 20, 2012 at 10:23:40PM +0200, Christoph Anton Mitterer wrote:
> > According to the upstream website, a qt4 port is available.
> 
> Thomas, Appaji, could you please look at this? The last 2 uploads of
> xxdiff were NMU, so if you have not time for this package anymore,
> please also let me know so I can put it for adoption.

The QT4 port is available in the upstream HG repository but it hasn't been
officially released (the releases archive still has only 3.2) or tagged which
is why I did not bother to re-package it.  I was hoping to do an upload to
experimental a couple of months ago but was hard pressed on personal time.

I still use xxdiff where meld doesn't cut it and will have time to maintain it
(in a month's time).  What would your suggested course of action meanwhile be?
RFH?  Anyways, give me time till the weekend and I will try and see what I can
do with the HG tip which is the current QT4 port.

Giridhar

-- 
Y Giridhar Appaji Nag | http://people.debian.org/~appaji/




Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#604515; Package src:xxdiff. (Fri, 01 Jun 2012 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Fri, 01 Jun 2012 17:12:03 GMT) Full text and rfc822 format available.

Message #36 received at 604515@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Y Giridhar Appaji Nag <appaji@debian.org>
Cc: Christoph Anton Mitterer <calestyo@scientia.net>, 604515@bugs.debian.org, Tomas Pospisek <tpo_deb@sourcepole.ch>
Subject: Re: Bug#604515: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Fri, 1 Jun 2012 19:08:00 +0200
On Fri, Jun 01, 2012 at 04:04:05PM +0530, Y Giridhar Appaji Nag wrote:
> Hi Ana,
> 
> On 12/05/30 21:53 +0200, Ana Guerrero said ...
> > [About the removal of xxdiff because it is using Qt3]
> > 
> > On Sun, May 20, 2012 at 10:23:40PM +0200, Christoph Anton Mitterer wrote:
> > > According to the upstream website, a qt4 port is available.
> > 
> > Thomas, Appaji, could you please look at this? The last 2 uploads of
> > xxdiff were NMU, so if you have not time for this package anymore,
> > please also let me know so I can put it for adoption.
> 
> The QT4 port is available in the upstream HG repository but it hasn't been
> officially released (the releases archive still has only 3.2) or tagged which
> is why I did not bother to re-package it.  I was hoping to do an upload to
> experimental a couple of months ago but was hard pressed on personal time.
> 
> I still use xxdiff where meld doesn't cut it and will have time to maintain it
> (in a month's time).  What would your suggested course of action meanwhile be?
> RFH?  Anyways, give me time till the weekend and I will try and see what I can
> do with the HG tip which is the current QT4 port.
>

There are 2 scenarios:
- A working Qt4 version is uploaded replacing current Qt3 version and it gets 
into Squeeze.
- No xxdiff in wheezy with the current version removed and Qt4 arriving
at some moment in the future.

I can wait a few more days more, but I am aiming to file the Qt3 removal next
weekend.

Ana




Severity set to 'serious' from 'important' Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 10 Jun 2012 16:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#604515; Package src:xxdiff. (Sun, 17 Jun 2012 16:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Sun, 17 Jun 2012 16:12:07 GMT) Full text and rfc822 format available.

Message #43 received at 604515@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 604579@bugs.debian.org, 604576@bugs.debian.org, 604597@bugs.debian.org, 604598@bugs.debian.org, 604515@bugs.debian.org
Subject: removal time?
Date: Sun, 17 Jun 2012 18:09:01 +0200
Hi maintainer,

Your package is one of the last 5 remaining packages in unstable using Qt3.
I haven't pushed for the removal until now because you have told me you
were working in a possible Qt4 version. The freeze is close, I don't know
the date yet, but if you don't see feasible pushing the Qt4 version within
2 weeks, your shiny Qt4 package is probably not making it, so please file 
for removal.

Thanks,
Ana




Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#604515; Package src:xxdiff. (Sun, 17 Jun 2012 17:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Sun, 17 Jun 2012 17:27:06 GMT) Full text and rfc822 format available.

Message #48 received at 604515@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Ana Guerrero <ana@debian.org>, 604579@bugs.debian.org
Cc: 604576@bugs.debian.org, 604597@bugs.debian.org, 604598@bugs.debian.org, 604515@bugs.debian.org
Subject: Re: Bug#604579: removal time?
Date: Sun, 17 Jun 2012 19:25:37 +0200
[Message part 1 (text/plain, inline)]
Hi Ana,

Ana Guerrero <ana@debian.org> (17/06/2012):
> Your package is one of the last 5 remaining packages in unstable using
> Qt3.  I haven't pushed for the removal until now because you have told
> me you were working in a possible Qt4 version. The freeze is close, I
> don't know the date yet, but if you don't see feasible pushing the Qt4
> version within 2 weeks, your shiny Qt4 package is probably not making
> it, so please file for removal.

k3surf's RM is #677901.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#604515; Package src:xxdiff. (Tue, 19 Jun 2012 21:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Tue, 19 Jun 2012 21:27:06 GMT) Full text and rfc822 format available.

Message #53 received at 604515@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 604515@bugs.debian.org
Subject: Re: Bug#604515: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Tue, 19 Jun 2012 23:24:38 +0200
On Mon, Nov 22, 2010 at 04:34:07PM +0100, Eckhart Wörner wrote:
> Source: xxdiff
> Severity: wishlist
> User: debian-qt-kde@lists.debian.org
> Usertags: qt3libs-removal
> 
>

Files removal http://bugs.debian.org/678201




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 20 Jun 2012 11:04:26 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Wed, 20 Jun 2012 11:04:31 GMT) Full text and rfc822 format available.

Message #58 received at 604515-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 141809-done@bugs.debian.org,254568-done@bugs.debian.org,299271-done@bugs.debian.org,604515-done@bugs.debian.org,655692-done@bugs.debian.org,
Cc: xxdiff@packages.debian.org, xxdiff@packages.qa.debian.org
Subject: Bug#678201: Removed package(s) from unstable
Date: Wed, 20 Jun 2012 11:00:25 +0000
Version: 1:3.2-10.2+rm

Dear submitter,

as the package xxdiff has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/678201

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Jul 2012 07:26:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:08:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.